Unsupported major.minor version 51.0解决方法

在刚运行struts项目的过滤器的时候,可能会遇到下边这个问题,弄了好久, 终于解决了,分享一下:

由于一开始是自己写代码进去,即过滤器是通过手写的,并且在web.xml中是自己配置过滤器的,而不是myeclipse自动生成,所以一直报错,后来发现myeclipse在添加了struts项目之后,会自动配置生成的。解决了路径那个问题。(总结Myeclipse中,打开WEB-INF--web.xml--design--选择filter,然后填写相关的路径等信息,这样比手写快捷方便,更能避免了路径问题。


(1)在弄好了以后,运行时候控制台又出现了报错,就是以下的错误:

Unsupported major.minor version 51.0(jdk版本错误)

Java.lang.UnsupportedClassVersionError: org/apache/nutch/crawl/Crawl3 : Unsupported major.minor version 51.0

 

查了很久的资料,终于找到了解决的方法:

原因:如果在win7下开发项目是使用的jdk版本和项目运行服务器jdk版本不同就会出现上面的问题。

解决方法:修改项目java compiler的方法:在项目点右键->选择Perperties->在出现的菜单中选择Java Compiler->最上面选中Enable project Specific setting->然后将jdk改为jdk1.6->完成。然后执行,成功地打开页面。

 


阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/qq_36411874/article/details/53996839
文章标签: struts javaweb myeclipse
个人分类: javaWeb
上一篇关于JSP中文乱码问题解决方法
下一篇关于拦截器与过滤器使用场景、拦截器与过滤器的区别整理
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭